Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451413 - Review Request: ghc-compression - Common compression algorithms for GHC Haskell
Summary: Review Request: ghc-compression - Common compression algorithms for GHC Haskell
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://hackage.haskell.org/cgi-bin/ha...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-14 10:02 UTC by Rajesh Krishnan
Modified: 2010-01-26 00:00 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-17 23:24:09 UTC


Attachments (Terms of Use)
ghc-compression-0.1-1.spec (deleted)
2008-06-14 10:02 UTC, Rajesh Krishnan
no flags Details
ghc-compression.cabal.patch (deleted)
2008-06-14 10:03 UTC, Rajesh Krishnan
no flags Details | Diff
ghc-compression.Inflate.hs.patch (deleted)
2008-06-14 10:04 UTC, Rajesh Krishnan
no flags Details | Diff
ghc-compression.Utils.hs.patch (deleted)
2008-06-14 10:05 UTC, Rajesh Krishnan
no flags Details | Diff

Description Rajesh Krishnan 2008-06-14 10:02:22 UTC
Version-Release number of selected component (if applicable):
0.1


Steps to Reproduce:
1.  Download 
http://hackage.haskell.org/packages/archive/compression/0.1/compression-0.1.tar.gz
    to rpmbuild/SOURCES folder.
2.  Copy attached <this-package>-<this-version>.spec to rpmbuild/SPECS folder.
3.  Copy the attached *.patch files to the rpmbuild/SOURCES folder (if any).
3.  Execute:
rpmbuild --clean  --target=$(uname -i) -ba \
    rpmbuild/SPECS/<this-package>-<this-version>.spec
  
Actual results:
--

Expected results:
1. You should see the compiled RPM and SRPM binaries in the respective 
folders.
2. After installing the RPM package, you should be able to import the relevant 
module:
$ ghci
ghci>  :m + <module-name-from-package>


Additional info:
1. The same .SPEC should work for Fedora 9 also (I guess, but I tested only on 
Fedora-8).
2. CAUTION: In the file Compression/Deflate/Inflate.hs,  I modified the last 
line of repeat_w32s function from:
       return $ BS.fromChunks [fromForeignPtr fp len']
   to:
	   return $ BS.fromChunks [fromForeignPtr fp 0 len']
   in order to get this thing to compile.  I don't know if that is the right 
thing to do or if this would break the algorithm.
3. In file Utils.hs, I got rid of the LazyByteString and LPS usage as they 
don't seem to be available in the bytestring library anymore.

Comment 1 Rajesh Krishnan 2008-06-14 10:02:22 UTC
Created attachment 309337 [details]
ghc-compression-0.1-1.spec

Comment 2 Rajesh Krishnan 2008-06-14 10:03:44 UTC
Created attachment 309338 [details]
ghc-compression.cabal.patch

Added FlexibleInstances compiler option to .cabal file.

Comment 3 Rajesh Krishnan 2008-06-14 10:04:57 UTC
Created attachment 309339 [details]
ghc-compression.Inflate.hs.patch

Modified code to get this thing to compile, as the underlying bytestring APIs
seem to have changed.

Comment 4 Rajesh Krishnan 2008-06-14 10:05:41 UTC
Created attachment 309340 [details]
ghc-compression.Utils.hs.patch

Modified code to fix compiler errors, as the underlying bytestring APIs have
changed.

Comment 5 Jason Tibbitts 2008-06-14 15:20:48 UTC
Let's hold on for a bit here.

You've opened very many tickets like this one, but there are several issues.

1) Are these your first Fedora packages?  I don't see you in the account system,
which suggests that you need a sponsor.  Is this the case?

2) You really need to provide us with a link to an actual src.rpm that can be
reviewed.  There are simply not enough package reviewers to expect us to be able
to assemble your packages for you.

3) Fedora is unfortunately lacking in guidelines for packaging Haskell packages.
 Someone was working to develop guidelines but they stopped and at the moment we
have nothing.  We will at least need to consult the packaging committee (of
which I'm a member) on whether we want to permit Haskell packages to enter the
distribution in the absense of guidelines.  I'd suggest that you stop adding new
haskell package review tickets until that's decided.

4) While the specfiles don't seem too bad, I'd suggest several cleanups:

 - Don't include %define'd macros that aren't actually used in the spec.
 - The large comment blocks describing things like scriptlet ordering are 
   somewhat distracting and unnecessary.
 - I don't understand the need for a code block like this:
    setup=Setup.lhs
    [ -f $setup ] || setup=Setup.hs
    [ -f $setup ] || { echo "No Setup in package root! Aborting."; exit 1; }
   Surely the package builds, so the final line shouldn't be necessary.
   Surely one of the two initial lines is appropriate for this package; why not 
    just use the right one?
 - The string "(package for GHC Haskell)" in the Summary: should be unnecessary.  
    There may be a better way to word this if you really want to include "GHC" 
    in the summary instead of having it be obvious from the name of the package;  
    I suggest running " yum info perl-\*|grep Summary for some suggestions.
 - License: OtherLicense is invalid; you must either choose an applicable 
    License: tag from http://fedoraproject.org/wiki/Licensing or talk to the 
    legal folks about obtaining a new tag which better fits the license in use.
 - The spec needs to choose either %{buildroot} or $RPM_BUILD_ROOT and use them 
    consistently; they should not both appear in the same specfile.  See
    http://fedoraproject.org/wiki/Packaging/Guidelines#Macros
 - Your %description seems to have been line-wrapped somehow.

If you agree with the above, please go ahead and make the applicable changes in
all of the packages you have submitted, post links to actual src.rpms and I'll
take the the issue of Haskell packaging in general to the committee.

Comment 6 Jason Tibbitts 2008-06-14 15:25:56 UTC
Also, could I ask that you submit your reviews through the form at
https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&format=extras-review or
at least get the Summary for the tickets set properly as

Review Request: package-name - Package summary

We have scripts which parse these out so it's easier for you to receive a review
if you use the standard format.  Could you fix up the tickets you've opened?

Comment 7 Jens Petersen 2008-06-16 00:12:17 UTC
Please also cc fedora-haskell-list on all haskell package reviews.  Thanks.

Comment 8 Bryan O'Sullivan 2008-06-16 03:35:35 UTC
Also, this is not the right compression library to be packaging. Please don't
waste time on it, as it is unlikely to be approved.

Comment 9 Jason Tibbitts 2008-06-16 05:03:19 UTC
At this point I'm not sure that the person submitting these tickets is even
reading the comments, as there has been no response to any commentary and new
tickets continue to pour in with the same mistakes.

I'm beginning to think these are just drive-by submissions, with no intention of
actually listening to any comments or maintaining these packages in Fedora. 
They need to stop.

Comment 10 Mamoru TASAKA 2008-06-16 05:33:52 UTC
I guess we should close all of these. As Jason says it seems
the submitter will never have intention to react to us
(also see bug 451397, bug 451398)   

Comment 11 Jens Petersen 2008-06-16 06:43:28 UTC
Ok has someone contacted the submitter?  I can try to contact them.

Comment 12 Jens Petersen 2008-06-16 06:49:17 UTC
I sent a private mail to clarify.

Comment 13 Bryan O'Sullivan 2008-06-17 23:24:09 UTC
I am mass-closing these submissions, as they are completely useless and do not
follow any of the packaging guidelines.  Do not attempt to reopen them.


Note You need to log in before you can comment on or make changes to this bug.